require "import"
import "android.widget.*"
import "android.content.Intent"
import "android.net.Uri"

--跳转到微信的扫一扫
function jumpToWechatScan()
	local intent = Intent("com.tencent.mm.action.BIZSHORTCUT")
	intent.setPackage("com.tencent.mm")
	intent.putExtra("LauncherUI.From.Scaner.Shortcut", true)
	intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK |
		Intent.FLAG_ACTIVITY_CLEAR_TOP |
		Intent.FLAG_ACTIVITY_EXCLUDE_FROM_RECENTS)
	service.startActivity(intent);
	return true
end

--已弃用
local function sendPictureStoredBroadcast(file)
	intent = Intent(Intent.ACTION_MEDIA_SCANNER_SCAN_FILE);
	uri = Uri.fromFile(file);
	intent.setData(uri);
	service.sendBroadcast(intent);
end

local function weChatPay()
	local layout = {
		LinearLayout,
		orientation = "vertical",
		layout_height = "fill",
		layout_width = "fill",
		{
			ImageView,
			id = "qrCode",
			src = BASE_PATH .. "reward/wechat-QR.jpg",
			contentDescription = "此处是微信收款码，点击可自动截屏扫描",
			layout_width = "match_parent",
			layout_height = "match_parent",
			scaleType = "fitXY",
		}
	}

	local views = {}
	local linearLayout = loadlayout(layout, views)
	local dlg = LuaDialog().setView(linearLayout)
	dlg.show()
	views.qrCode.onClick = function()
		service.click({ {
			"%截屏",
			"%返回",
			"%jumpToWechatScan",
			"相册>10",
			"图片1,*>5",
		} })
	end
end

return weChatPay
