local function help()
    local helpText = {
        "欢迎您使用“" .. PLUGIN_NAME .. "”！",
        "此插件可用于检测微信好友的状态。",
        "好友的状态包括：正常、将您删除、将您拉黑、被限制登录",
        "检测方式：逐一搜索好友，尝试向其转账。若好友状态异常，支付界面会出现相应提示。",
        "此方式的优点：安全、可靠、不打扰好友。缺点：耗时较长。",
        "检测速度：每个好友8秒左右，会因手机配置和网速有所差异。",
        "温馨提示：检测期间请勿切换界面或关闭屏幕，以免影响插件运行。若想提前结束检测，可长按音量减小键打开语音助手，说：微信好友检测，即可停止。",
        "插件所适配的微信版本是：8.0.32，其余版本您可自行测试。",
        "最后，若您在使用过程中遇到异常情况，或是有其他建议，可联系作者qq：1016652419。添加时请注明来意。",
        "作者：文刀漂洋",
        "更新于：2023-02-03"
    }
    local dlg = LuaDialog()
    dlg.setTitle("插件说明")
    dlg.setItems(helpText)
    dlg.setCancelable(false)
    dlg.setButton("确定", mainMenu)
    dlg.show()
end

return help
