require "import"
import "com.androlua.LuaDialog"

-- 全局常亮
PLUGIN_NAME = "微信好友检测"
PLUGIN_VERSION = "1.2.0"
BASE_PATH = string.gsub(package.path, "%?%.lua.*$", "")
PATH = { -- 文件保存路径
    ALL_FRIENDS = BASE_PATH .. "data/allFriends.json",
    SELECTED_FRIENDS = BASE_PATH .. "data/selectedFriends.json",
    DELETED_FRIENDS = BASE_PATH .. "data/deletedFriends.json",
    BAD_FRIENDS = BASE_PATH .. "data/badFriends.json",
    BLACKLIST_FRIENDS = BASE_PATH .. "data/blacklistFriends.json",
    FAILED_FRIENDS = BASE_PATH .. "data/failedFriends.json"
}

-- 初始化
local init = require "init"
init()

-- 停止进行中的检测
if detection then
    detection.stop()
    return true
end

-- 显示主菜单
mainMenu = require "mainMenu"
mainMenu()

return true
