local aliPay = require "reward/aliPay"
local weChatPay = require "reward/weChatPay"

local function reward()
	local taskNames = {
		"通过支付宝打赏",
		"通过微信打赏",
	}

	local taskList = {
		aliPay,
		weChatPay,
	}

	local dlg = LuaDialog(service)
		.setTitle("打赏支持")
		.setItems(taskNames)
		.setCancelable(false)
		.setButton("取消", mainMenu)
		.show()

	dlg.onItemClick = function(l, v, p, i)
		local task = taskList[i]
		if type(task) == "function" then
			dlg.dismiss()
			task()
		end
	end
	return dlg

end

return reward
