local friendsManager = require "friendsManager"
local deleteFriends_dialog = require "deleteFriends_dialog"


local function showDetectResult()
    local deletedFriends = friendsManager.read("deletedFriends")
    local badFriends = friendsManager.read("badFriends")
    local blacklistFriends = friendsManager.read("blacklistFriends")
    local failedFriends = friendsManager.read("failedFriends")

    local dlg = LuaDialog()
    dlg.setTitle("检测结果")
    dlg.setItems({ "将您删除的好友： " .. #deletedFriends .. " 人\n" .. table.concat(deletedFriends, "\n"),
        "处于限制登录状态的好友： " .. #badFriends .. " 人\n" .. table.concat(badFriends, "\n"),
        "将您拉黑的好友： " .. #blacklistFriends .. " 人\n" .. table.concat(blacklistFriends, "\n"),
        "检测失败的好友： " .. #failedFriends .. " 人\n" .. table.concat(failedFriends, "\n") })
    dlg.setCancelable(false)
    dlg.setNegativeButton("取消", mainMenu)
    dlg.setPositiveButton("删除异常好友", function()
        deleteFriends_dialog()
    end)
    dlg.show()

    return dlg
end

return showDetectResult
